Get a payment instruction
curl --request GET \
--url https://api.spendin.app/v1/payouts/{payout_id}/payment-instruction \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.spendin.app/v1/payouts/{payout_id}/payment-instruction"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.spendin.app/v1/payouts/{payout_id}/payment-instruction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b7e2f1a0-...",
"payout_id": "a1b2c3d4-...",
"rail": "CRYPTO",
"account_unique": "TXyz1234...abc",
"provider_name": "USDT (TRC-20)",
"network": "TRC20",
"expected_amount": 42.32,
"expected_currency": "USDT",
"payment_status": "UNPAID",
"expires_at": "2026-07-20T10:11:00.000Z",
"paid_at": null,
"created_at": "2026-07-20T09:41:00.000Z"
}payment-instructions
Get a payment instruction
The current active instruction for a payout: where to settle, the exact amount, and the expiry. Returns 404 until the generation job has run.
GET
/
v1
/
payouts
/
{payout_id}
/
payment-instruction
Get a payment instruction
Authorizations
Path Parameters
Response
Active instruction
Example:
"b7e2f1a0-..."
Example:
"a1b2c3d4-..."
Available options:
CRYPTO, BANK_TRANSFER Example:
"CRYPTO"
Crypto address (CRYPTO) or virtual account number (BANK_TRANSFER) the merchant settles to
Example:
"TXyz1234...abc"
Example:
"USDT (TRC-20)"
Example:
"TRC20"
Amount the merchant must send
Example:
42.32
Example:
"USDT"
Available options:
UNPAID, PAID, EXPIRED Example:
"UNPAID"
Example:
"2026-07-20T10:11:00.000Z"
Example:
null
Example:
"2026-07-20T09:41:00.000Z"